Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
RClass Struct Reference

`#include <internal.h>`

## Data Fields
struct RBasic | basic
VALUE | super
rb_classext_t * | ptr
rb_serial_t | class_serial

## Detailed Description

Definition at line 1048 of file internal.h.

## Field Documentation

## ◆ basic

struct RBasic RClass::basic

Definition at line 1049 of file internal.h.

## ◆ class_serial

rb_serial_t RClass::class_serial

Definition at line 1054 of file internal.h.

## ◆ ptr

rb_classext_t * RClass::ptr

Definition at line 1051 of file internal.h.

## ◆ super

VALUE RClass::super

Definition at line 1050 of file internal.h.

The documentation for this struct was generated from the following files:

- internal.h
- /msysdev/ruby/src/build-x86_64-pc-msys/include/ruby-2.7.0/x86_64-msys/rb_mjit_min_header-2.7.0.h